import os.path
from colors import color


def _mkdir_and_open(path):
    dirname = os.path.dirname(path)

    if len(dirname) > 0:
        if not os.path.isdir(dirname):
            os.mkdir(dirname)

    return open(path, "w")


def mk_parents(path: str):
    dirname = os.path.dirname(path)

    if len(dirname) == 0:
        return

    if not os.path.isdir(dirname):
        os.mkdir(dirname)


class Log(object):
    def __init__(self):
        pass

    def warn(self, msg):
        print(color(msg, "orange"))

    def info(self, msg):
        print(color(msg, "white"))

    def debug(self, msg):
        print(color(msg, "grey"))


log = Log()
